# std::pmr::monotonic_buffer_resource::do_is_equal

From cppreference.com
< cpp‎ | memory‎ | monotonic buffer resource

virtual bool do_is_equal(const std::pmr::memory_resource& other) const; |  | (since C++17)

Compare `*this` with `other` for identity - memory allocated using a `monotonic_buffer_resource` can only be deallocated using that same resource.

### Return value

this == dynamic_cast<const monotonic_buffer_resource*>(&other)

### Exceptions

`noexcept` specification:
noexcept

### See also

do_is_equal [virtual] | compare for equality with another `memory_resource` (virtual private member function of `std::pmr::memory_resource`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/monotonic_buffer_resource/do_is_equal&oldid=91377"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template